@import '../../../styles/variables';
@import '../../../styles/mixins';

.header {
  &__top {
    background-color: #fff;
    padding: 1rem 0;

    &_contact {
      font-size: 1.4rem;
      letter-spacing: 0.1rem;
    }
    &_default {
      background-color: #fff;
    }
    &_light {
    }
    &_dark {
    }
  }

  &__default {
    background-color: $light-color;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
    &_main {
      box-shadow: 0 0.1rem 0.2rem rgb(0 0 0 / 16%);
      border-radius: 1rem;
      height: 80px;

      &_row {
        height: 100%;
        align-items: center;
        display: flex;
        justify-content: space-between;
      }
    }
  }
}

.logo {
  &__container {
    height: 4rem;
    width: 10rem;
    @media screen and (min-width: 600px) {
      width: none;
    }
  }
}
.menu {
  &__hamburger {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
  }
  &__total_items {
    display: inline-block;
    background: $light-color;
    text-align: center;
    color: $secondary-color;
    margin-left: -1.5rem;
    border-radius: 10rem;
    height: 3rem;
    width: 3rem;
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 3rem;
  }
  &__total_price {
    font-size: 2rem;
    font-weight: bold;
    background-color: $pink-color;
    color: $light-color;
    padding: 0.7rem 2rem;
    border-radius: 0.5rem 0 0 0.5rem;

    @media screen and (min-width: 600px) {
      font-size: 2.5rem;
    }
  }
  &__mobile {
    position: absolute;
    top: 40%;
    left: 0;
    background-color: rgba(#fff, 0.9);
    width: 100%;
    height: 100vh;
    z-index: 9;
    padding: 3rem;
    display: flex;
    flex-direction: column;
  }
}

.site__lang {
  background: $grey-color;
  padding: 0 0.5rem;
  text-align: center;
  text-transform: uppercase;
  border-radius: 0.3rem;
  font-size: 1.6rem;
}

.site__auth {
  background-color: $secondary-color;
  padding: 0 2rem;
  color: #fff;
  text-transform: uppercase;
  font-weight: bold;
  border-radius: 0.3rem;
  // margin-right: 0.5rem;
  cursor: pointer;
}

.client {
  &__login {
    &_btn {
      background-color: $primary-color;
      padding: 0 1rem;
      color: $light-color;
      text-transform: uppercase;
      border-radius: 0.3rem;
    }
  }
  &__unpaid {
    &_btn {
      background-color: $danger-color;
      padding: 0 1rem;
      color: $light-color;
      text-transform: uppercase;
      border-radius: 0.3rem;
      cursor: pointer;
    }
    &_total {
      background-color: #fff;
      width: 2.8rem;
      border-radius: 1.4rem;
      color: $secondary-color;
      text-align: center;
      font-weight: bold;
    }
  }
}

.cart {
  &__summary {
    position: absolute;
    top: 0;
    right: 0;
    background-color: $secondary-color;
    height: 100%;
    width: 100%;
    z-index: 9;
    @media screen and (min-width: 600px) {
      width: 20vw;
      top: 12.6rem;
      right: 26.8rem;
      height: 30%;
    }

    &_content {
      color: $light-color;
      font-weight: bold;
    }

    &_close {
      position: absolute;
      top: 1rem;
      right: 1rem;
    }
  }
}

.payment {
  &__invoice {
    &_item {
      @include boxItem;
      margin-bottom: 1rem;
    }
  }
}
